Name:           wmCalClock
Version:        1.25
Release:        11%{?dist}
Summary:        A Calendar clock with antialiased text

Group:          User Interface/X
License:        GPLv2+
URL:            http://www.dockapps.org/file.php/id/9
Source0:        http://www.dockapps.org/download.php/id/16/wmCalClock-1.25.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequireS:  libXpm-devel

%description
%{summary}

%prep
%setup -q


%build
cd Src
make CFLAGS="${RPM_OPT_FLAGS}" LIBDIR="-L%{_usr}/X11R6/%{_lib}" %{?_smp_mflags}
 
%install
rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man1/

%{__install} -p %{_builddir}/%{name}-%{version}/Src/wmCalClock \
${RPM_BUILD_ROOT}%{_bindir}
%{__install} -p -m644 %{_builddir}/%{name}-%{version}/Src/wmCalClock.1 \
${RPM_BUILD_ROOT}%{_mandir}/man1/
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc BUGS CHANGES COPYING HINTS README TODO
%{_bindir}/wmCalClock
%{_mandir}/man1/wmCalClock.1*

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.25-11
- Autorebuild for GCC 4.3

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 1.25-10
- Rebuilt for gcc43

* Thu Aug 23 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.25-9
- new license tag
- rebuild for buildid

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.25-8
- FE6 rebuild

* Sat Apr 22 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.25-7
- put manpage into right location (David Kovalsky)

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.25-6
- Rebuild for Fedora Extras 5

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.25-5
- modular xorg integration

* Mon Sep 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.25-4
- try to fix x86_64 build (libdir)

* Mon Sep 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.25-3
- add dist

* Mon Sep 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.25-2
- add -p and to install
- man page should be 644

* Fri Jun 03 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.25-1
- Initial Release
